= render partial: 'form_errors', locals: { object: @user } if @user.errors.any?

= form_with model: @user, local: true, class: 'users_form' do |f|
  .form-group.row
    = f.label :username
    .input-group
      = f.text_field :username, value: @user.username_first_part, class: 'form-control'
      .input-group-append
        .input-group-text
          = "#{current_company.username_second_part}"
    %small#emailHelp.form-text.text-muted
      = t("users.default_username", company_uniq_title: current_company.username_second_part)
  .form-group.row
    = f.label :first_name
    = f.text_field :first_name, class: 'form-control'
  .form-group.row
    = f.label :last_name
    = f.text_field :last_name, class: 'form-control'
  .form-group.row
    = f.label :role
    = f.select :role, options_for_select(policy(current_user).accessible_roles.map { |k, v| [k.humanize.capitalize, k] }, @user.role), {}, class: 'custom-select'

  .form-group.row
    = f.label :password
    = f.text_field :password, class: 'form-control'
  .form-group.row
    = f.label :password_confirmation
    = f.text_field :password_confirmation, class: 'form-control'

  = render partial: 'instructor_details_form', locals: { f: f }
  = render partial: 'student_details_form', locals: { f: f }

  = f.submit
